Name:           python-pegasuspy
Version:        1.10.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pegasus is a Python package for analyzing sc/snRNA-seq data of millions of cells

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/lilab-bcb/pegasus
Source:         %{pypi_source pegasuspy}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pegasuspy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pegasuspy
Summary:        %{summary}

%description -n python3-pegasuspy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pegasuspy all,forceatlas,louvain,mkl,pseudobulk,rpy2,scanorama,scvi,torch,tsne


%prep
%autosetup -p1 -n pegasuspy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,forceatlas,louvain,mkl,pseudobulk,rpy2,scanorama,scvi,torch,tsne


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pegasuspy -f %{pyproject_files}


%changelog
%autochangelog